<style type="text/css">
	.contactIcons {
		color: #fff;
		font-size: 1.1em;
	}
	.alramIcons {
	    position: absolute;
	    top: 65%;
	    right: 4%;
	}
	.attendee-action-buttons:active{
        -o-box-shadow: 2px 2px 19px #CCC;
        -webkit-box-shadow: 2px 2px 19px #CCC;
        -moz-box-shadow: 2px 2px 19px #CCC;
        background: rgba(96, 125, 139, 0.46) !important;
    }
    .attendee-action-buttons:focus{
        -o-box-shadow: 2px 2px 19px #CCC;
        -webkit-box-shadow: 2px 2px 19px #CCC;
        -moz-box-shadow: 2px 2px 19px #CCC;
        background: rgba(96, 125, 139, 0.46) !important;
    }
    #floating-button .icon.menu-icon {
    	font-size: 28px;
	}
	#floating-button {
		width: 40px;
    	height: 40px;
    	line-height: 39px;
	}
	#searchBar {
		width: 100%;
    	padding-left: 6px;
    	border-radius: 0.3em;
    	height: 29px;
    	line-height: 19px;
	}
	.previous-button ul {
		left: 2em;
	}
	.search-clear-button:before{
		font-size: 20px !important;
    	margin-left: 10px;
    	color: #909090;
	}
    a{
        text-decoration: none !important;
    }
</style>
<ion-view cache-view="false" title="User Posts">
        <ion-nav-buttons side="left">
    <button class="button button-clear" ng-click="goBack();" >
    <i class="icon ion-ios-arrow-back"></i></button>
 </ion-nav-buttons>
  <ion-nav-buttons side="right">
    <button class="button button-clear" ng-click="follow(userPosts[0].MLOGIN);" ng-if="isUserFollowing == 0">
    <i class="mdi mdi-account-plus"></i> Follow</button>
    <button class="button button-clear" ng-click="unfollow(userPosts[0].MLOGIN);" ng-if="isUserFollowing == 1">
    <i class="mdi mdi-account-minus"></i> UnFollow</button>
 </ion-nav-buttons>
	<ion-content on-scroll="getScrollPosition()">
		<ion-refresher pulling-text="{{'Pull to refresh' | translate}}..." on-refresh="initUserPosts()" disable-pulling-rotation="true"></ion-refresher>
        <div class="list">
            <div ng-repeat="userPost in userPosts">
                <a class="item item-avatar" href="#/post-details/{{userPost.ID}}">
                  <img src="http://www.mudraa.com/mudraaimg/{{userPost.MLOGIN}}.jpg">
                  <h2>{{userPost.MTITLE}}</h2>
                  <p>{{userPost.MPOSTDATE}}</p>
                </a>
            </div>
        </div>
        <div ng-if="!userPosts || userPosts.length == 0">
            <div style="margin-top: 7em; color: #b9b9b9;">
                <center>
                    <i class="mdi mdi-cloud-outline-off" style="font-size: 7em;"></i><br><br>
                    <p style="font-size: 1.2em">{{'No data to show, please check back later' | translate}}</p>
                </center>
            </div>
        </div>
	</ion-content>
</ion-view>
